Bug 1075867

Summary: Upgrade to Nagios 4.x
Product: [Fedora] Fedora Reporter: Sam Kottler <skottler>
Component: nagiosAssignee: Scott Wilkerson <swilkerson>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: affix, ashish, erinn.looneytriggs, james.juran, j.orti.alcaine, jose.p.oliveira.oss, linux, mteixeira, ohadlevy, oliver, ondrejj, redhat, sergio.pasra, swilkerson, tjyang2001, xavier
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: nagios-4.0.8-1.el7 nagios-4.3.2-5.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-07-23 02:22:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1074611    
Attachments:
Description Flags
Update to nagios 4.0.8 none

Description Sam Kottler 2014-03-13 04:29:18 UTC
We should upgrade to the latest version of nagios so we can rebase from rawhide into EPEL 7.

Comment 3 Juan Orti 2014-09-09 11:16:28 UTC
Is there any progress packaging v4?

Comment 4 Xavier Bachelot 2014-10-15 11:53:42 UTC
Created attachment 947193 [details]
Update to nagios 4.0.8

I'm also interested in getting Nagios 4 into Rawhide then EPEL 7.
Please find attached a patch to git master to update to nagios 4.0.8. It rebases all patches to the sysvinit script, as I'm testing on a fresh centOS 6 currently, which still uses sysvinit.
Please review, it probably needs some polishing, I built it only as a quick POC.

Comment 5 Jaroslav Reznik 2015-03-03 15:34:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Mauricio Teixeira 2015-03-12 18:24:08 UTC
I just want to make sure I understand this clear: Nagios 4 will be released for Fedora 22 first, and only after that it will be considered for EPEL 7?

Comment 7 Oliver Ilian 2015-06-03 10:23:38 UTC
Is there any news on this? We are upstream right now at nagios-4.1.0rc1.tar.gz.

Thanks for the feedback.

Comment 8 Christian Kujau 2015-08-03 05:21:25 UTC
4.1.0rc2 was released in July; there's also a release monitoring bug 1005974, not sure how this works, though.

Comment 9 Fedora Update System 2015-09-20 14:39:38 UTC
nagios-4.0.8-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16238

Comment 10 Fedora Update System 2015-09-20 14:39:40 UTC
nagios-4.0.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8155

Comment 11 Fedora Update System 2015-09-20 14:40:32 UTC
nagios-4.0.8-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16239

Comment 12 Fedora Update System 2015-09-20 14:40:33 UTC
nagios-4.0.8-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16240

Comment 13 Fedora Update System 2015-09-20 14:41:21 UTC
nagios-4.0.8-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8156

Comment 14 Fedora Update System 2015-09-20 16:49:42 UTC
nagios-4.0.8-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16239

Comment 15 Fedora Update System 2015-09-20 16:51:43 UTC
nagios-4.0.8-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16238

Comment 16 Fedora Update System 2015-09-20 17:20:07 UTC
nagios-4.0.8-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16240

Comment 17 Fedora Update System 2015-09-21 02:47:26 UTC
nagios-4.0.8-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8156

Comment 18 Fedora Update System 2015-09-21 02:50:56 UTC
nagios-4.0.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8155

Comment 19 TJ Yang 2015-11-09 15:00:42 UTC
I had to following to start up nagios 4.0.8 server after a dnf upgrade.
[root@f21rapi01 ~]# mkdir  /var/log/nagios/rw
[root@f21rapi01 ~]# chown nagios:nagios  /var/log/nagios/rw

Comment 20 Fedora Update System 2015-12-05 20:31:20 UTC
nagios-4.0.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-02-09 17:29:15 UTC
nagios-4.2.4-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-270f6f4375

Comment 22 Fedora Update System 2017-02-10 22:41:32 UTC
nagios-4.2.4-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-acd2c2af0d

Comment 23 Fedora Update System 2017-02-11 16:19:23 UTC
nagios-4.2.4-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-acd2c2af0d

Comment 24 Fedora Update System 2017-05-11 19:17:55 UTC
nagios-4.3.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1f2571d162

Comment 25 Fedora Update System 2017-05-12 19:52:27 UTC
nagios-4.3.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1f2571d162

Comment 26 Fedora Update System 2017-06-14 19:01:29 UTC
nagios-4.3.2-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16880697fe

Comment 27 Fedora Update System 2017-06-15 09:47:48 UTC
nagios-4.3.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16880697fe

Comment 28 Fedora Update System 2017-06-28 19:29:18 UTC
nagios-4.3.2-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-328a23d1ed

Comment 29 Fedora Update System 2017-06-30 01:17:32 UTC
nagios-4.3.2-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-328a23d1ed

Comment 30 Fedora Update System 2017-07-23 02:22:49 UTC
nagios-4.3.2-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.